%define upstream_name    Test-EOL
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check the correct line endings in your project
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc) for the presence of windows line endings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.500.0-4.mga4
+ Revision: 515193
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-3.mga3
+ Revision: 373479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-2.mga3
+ Revision: 295172
- force version update

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-1.mga3
+ Revision: 295066
- update to 1.5

* Wed Jul 04 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 267506
- update to 1.3

* Wed Jan 25 2012 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 201045
- update to 1.1

* Thu Jan 05 2012 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 191283
- update to 1.0

* Fri Jan 21 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 28791
- mageia rebuild
- imported package perl-Test-EOL

